<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tenant_menues', function (Blueprint $table) {
            $table->id();
            $table->string('tenant_codigo');
            $table->string('menu_code');
            $table->timestamps();

            $table->foreign('tenant_codigo')->references('codigo')->on('tenants')->onDelete('cascade');
            $table->foreign('menu_code')->references('code')->on('menues')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tenant_menues');
    }
};
